No backend available error while updating to latest ionic cli

#1
D:\USer\MyProject> ionic cordova build android --prod --release

? The Ionic CLI has an update available (3.20.0 => 4.0.1)! Would you like to install it? Yes
> npm i -g ionic@latest
× Running command - failed!
[ERROR] An error occurred while running npm i -g ionic@latest (exit code 1):


        npm ERR! code E503
        npm ERR! 503 No backends available: @ionic/cli-framework@1.0.0

        npm ERR! A complete log of this run can be found in:
        npm ERR!     C:\Users\WD\AppData\Roaming\npm-cache\_logs\2018-07-26T04_22_31_872Z-debug.log
#2

degrade back to 3.2 while the devs fix the bug

#3

Please see if already reported at https://github.com/ionic-team/ionic-cli/issues or do so if not. Thanks.